package _06_for高级练习;

import java.util.Scanner;

public class Test5 {
    public static void main(String[] args) {
        /**
         * 判断输入数字是否是一个指数
         * 质数: 只能够被 1 和他本身 整除  就是
         *
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入一个数字");
        int number = scanner.nextInt();
        // 遍历从2  到输入数字结束   在这个区间能呗整除说明他不是一个指数
        // 7      2 3 4 5 6
        boolean flag = false;
        for (int i = 2; i < number ; i++) {
            if(number % i == 0){
                flag = true;
                break;
            }
        }

        if(flag){
            System.out.println("这不是一个质数");
        }else{
            System.out.println("这是一个质数");
        }
    }
}
